package com.company;
public class Lab{
    private Student[] students;
    private int avg;
    private int capacity;
    private int currentSize;
    private String day;

    public Lab(int cap,String d){
        students = new Student[cap];
        avg = 0;
        capacity = cap;
        day = d;
        currentSize = 0;
    }

    public void enrollStudent(Student std){
        if (currentSize < capacity){
            students[currentSize] = std ;
            currentSize++;
        }
        else
            System.out.println("lab is full!");
    }
    public Student[] getStudents(){
        return students;
    }

    public void setStudents(Student[] stds){
        students = stds;
    }

    public int getAvg(){
        return avg;
    }

    public void calculateAvg(){
        int sum = 0;
        for (int i=0 ; i<currentSize ; i++){
            sum += students[i].getGrade();
        }
        avg = sum/currentSize;
    }

    public String getDay(){
        return day;
    }

    public void setDay(String d){
        day = d;
    }

    public int getCapacity(){
        return capacity;
    }

    public void setCapacity(int cap){
        capacity = cap;
    }

    public void print(){
        for (int i=0 ; i<currentSize ; i++){
            System.out.println("std fname: " + students[i].getFirstName()+ " std id:" + students[i].getId() + " std grade:"+ students[i].getGrade());
        }
        System.out.println("lab avg: " + avg);
    }
}

